CommunityStoresView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.servlets.supplier
Class CommunityStoresView

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.fenalco.servlets.supplier.CommunityStoresView

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class CommunityStoresView

extends javax.servlet.http.HttpServlet

Este servlet prepara la vista de los establecimientos de un minorista para que el proveedor pueda seleccionar los que desea agregar a la comunidad seleccionada.

Author:
  Néstor Romero León
See Also:
  Serialized Form

Constructor Summary
`CommunityStoresView()`

Method Summary
`void` | `destroy()` Destruye el servlet.
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Maneja el método HTTP `GET`.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Maneja el método HTTP `POST`.
`java.lang.String` | `getServletInfo()` Información general del servlet.
`void` | `init(javax.servlet.ServletConfig config)` Inicializa el servlet.
`protected void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa las peticiones para los métodos HTTP `GET` y `POST`.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommunityStoresView

    public CommunityStoresView()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Inicializa el servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Parameters:
    `config` - Parámetro de configuración.
  Throws:
    `javax.servlet.ServletException` - Excepción de fallo en la operación del servlet.

### destroy

    public void destroy()

  Destruye el servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Procesa las peticiones para los métodos HTTP `GET` y `POST`. Este servlet crea un objeto del tipo `StoreList` pasándole como parámetro un identificador de minorista que será el filtro que se utilizará en este listado. Luego el objeto `StoreList` es utilizado como parámetro para crear un objeto de tipo `CommunityStoresListView` Este último objeto es enviado por medio de request, asignándolo como atributo, hacia establecimientos.jsp. Para la realización de esta operación se debe tener en cuenta que sólo se pueden cargar los establecimientos del minorista que no esten asignados a la comunidad actual.

  Parameters:
    `request` - Petición al servlet
    `response` - Respuesta del servlet.
  Throws:
    `javax.servlet.ServletException` - Excepción de fallo en la operación del servlet.
    `java.io.IOException` - Excepción de fallo en la operación de escritura por medio del flujo PrintWriter de response.

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Maneja el método HTTP `GET`.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - Petición al servlet
    `response` - Respuesta del servlet.
  Throws:
    `javax.servlet.ServletException` - Excepción de fallo en la operación del servlet.
    `java.io.IOException` - Excepción de fallo en la operación de escritura por medio del flujo PrintWriter de response.

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Maneja el método HTTP `POST`.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - Petición al servlet
    `response` - Respuesta del servlet.
  Throws:
    `javax.servlet.ServletException` - Excepción de fallo en la operación del servlet.
    `java.io.IOException` - Excepción de fallo en la operación de escritura por medio del flujo PrintWriter de response.

### getServletInfo

    public java.lang.String getServletInfo()

  Información general del servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`
  Returns:
    Retorna una breve descripción del servlet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD